"
" shebang_change_filetype.vim: On leaving insert mode, check whether the first
" line was changed and looks like a shebang format.
"
" Author: Tom Ryder <tom@sanctum.geek.nz>
" License: Same as Vim itself
"
if exists('loaded_shebang_change_filetype') || &compatible
  finish
endif
if !has('autocmd') || v:version < 700
  finish
endif
let loaded_shebang_change_filetype = 1

" Set up hook for before writes to check the buffer for new shebangs
augroup shebang_change_filetype
  autocmd!
  autocmd InsertLeave *
       \ call shebang_change_filetype#Check()
  if exists('##TextChanged')
    autocmd TextChanged *
          \ call shebang_change_filetype#Check()
  endif
augroup END
